> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a log of changes for line items

> Create a new line item. The request body should be a list of properties you want to set for the new line item, with each entry being the internal name of the property to be set, and the value of that property. You must set the hs_product_id property when creating a line item. This property needs to be the objectId of a product object, and represents the product being sold.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['e-commerce']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v1/crm-line-items-v1.json GET /crm-objects/v1/change-log/line_items
openapi: 3.0.0
info:
  title: CRM Line Items API v1
  version: 1.0.0
  description: >-
    Use the line items API to add instances of products to deals and quotes. You
    can create line items from existing products or create them as custom line
    items with no product attached.
  x-hubspot-introduction: >-
    Use the line items API to add instances of products to deals and quotes. You
    can create line items from existing products or create them as custom line
    items with no product attached.
  x-hubspot-api-use-case: >-
    When creating a set of quotes for sales reps to send to potential buyers,
    use this API to add goods and services to the quotes.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /crm-objects/v1/change-log/line_items:
    get:
      summary: Get a log of changes for line items
      description: >-
        Create a new line item. The request body should be a list of properties
        you want to set for the new line item, with each entry being the
        internal name of the property to be set, and the value of that property.
        You must set the hs_product_id property when creating a line item. This
        property needs to be the objectId of a product object, and represents
        the product being sold.
      operationId: getcrmobjectsv1changeloglineitems
      responses:
        '200':
          description: Successful response - Create a new line item
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Get a log of changes for line items - Example 1
                  value:
                    - timestamp: 1525297495553
                      changeType: CHANGED
                      objectId: 9845651
                      changes:
                        changedProperties:
                          - hs_lastmodifieddate
                          - price
                          - quantity
                        newAssociations: []
                        removedAssociations: []
                        newListMemberships: []
                        removedListMemberships: []
                    - timestamp: 1525297514887
                      changeType: CHANGED
                      objectId: 9845651
                      changes:
                        changedProperties:
                          - hs_lastmodifieddate
                          - quantity
                          - hs_product_id
                        newAssociations: []
                        removedAssociations: []
                        newListMemberships: []
                        removedListMemberships: []
                    - timestamp: 1525298220133
                      changeType: CHANGED
                      objectId: 9867373
                      changes:
                        changedProperties:
                          - hs_lastmodifieddate
                          - quantity
                        newAssociations: []
                        removedAssociations: []
                        newListMemberships: []
                        removedListMemberships: []
                    - timestamp: 1525298357009
                      changeType: CREATED
                      objectId: 9867373
                      changes:
                        changedProperties:
                          - hs_lastmodifieddate
                          - hs_product_id
                          - quantity
                          - price
                          - name
                          - description
                        newAssociations: []
                        removedAssociations: []
                        newListMemberships: []
                        removedListMemberships: []
      security:
        - oauth2:
            - e-commerce
        - oauth2_legacy: []
        - private_apps:
            - e-commerce
        - private_apps_legacy: []
components: {}

````